All Articles

Wordpress升级到4.9.6及近期博客改造计划

> > 这篇文章是装了`WP markdown`插件后, 启用了该插件来写的. 目前我正在使用markdown语法进行写作. 将来我想也是. > >

Wordpress升级4.9.6

其实我一直都不太愿意升级Wordpress, 主要是怕博客出现故障. 而且之前的升级, 都没法自动升级, 每次都要手动下载最新的安装包, 在本地模拟一次升级, 确保无误才更新到线上, 当然之前也是因为用的虚拟主机, 所以有些限制导致无法正常在线升级, 年初, 博客迁移到了腾讯云, 一切管理权限都在我这了, 感觉很棒.

当然一直想着改造博客, 迁移, 年初看了Gatsby, Jekyll等等, 想自己写个简单的模板, 然后数据迁移过来, 发现遇到很多障碍, 非常困难. 也就一直没有实施. 今天有一次试着搜了一下wordpress的markdown插件, 看到这款老插件WP-Markdown更新了, 于是打算再次尝试. 安装后才发现, 这个插件支支持4.9.1+版本的wordpress, 而我的还是4.8.6(原来我看错了, 是仅测试到了4.9.1…好吧反正升级了也暂时没出现什么问题.) 也是抱着侥幸的态度- -. 直接点击了后台的自动更新, 当然点击之前我还是做了备份的~~ 幸运的是升级很顺利. 插件启用后, 文章编辑器就只有编码模式了. 不过对我来说毫无影响~

那么, 我的博客就这样顺利的升级到了4.9.6了. 同时, 将来也抛弃了自带的富文本编辑器了. 使用Markdown来创作了.

> > 当然还有一个主题更新, 这个是万万不可得. 一旦更新我自己修改的大部分模板内容就会被覆盖(我记得以前是, 现在大概也是吧). 因此, 主题旧点就旧点的吧. > >

关于WP-Markdown

这个插件小试了下, 勉强还行, 但是样式还是很糟糕. 看来要花点功夫来处理. 毕竟markdown的代码显示部分还是比较常用的.

其实每次对内容改动都是件麻烦事. 因为旧的文章又不是markdown格式, 就会出现很多问题. 之前用的highlight.js, 现在也给禁用了, 估计旧文章的样式会有问题, 目前还在考虑给旧文章加载highlight.js, 新文章就不加了.

> > 话说, 这次更新结束后, 也许也是最后一次更新了. 我备份了数据库, 有个大胆的想法. > > > > 如果有时间, 基于目前的MySQL数据库, 尝试搞一套前后端分离的博客系统? > >

好了, 先写到这吧, 晚上把腾讯云的服务器的yum也更新了, nodejs也更新到8.x最新版本了. 有空就好好想想博客怎么在改造下了.

> > 对了正好昨天公安备案通过了。这个网站属于交互类,非常麻烦给了两个表格过来,有一个表格有170多条,我没啥耐心,就随便填的。不过居然一天就通过了。。。棒棒哒~ > >